Rational Reporting for Development Intelligence 2.0.5 M1 Milestone

Early Access Milestone | September 11, 2013
This is not the recommended version.Rational Reporting for Development Intelligence 1.0.2.1 is required for use with CLM v3.0.1x.
Rational Reporting for Development Intelligence 2.0.5 is required for use with CLM v4.0.5x.
Rational Reporting for Development Intelligence 2.0.6 is required for use with CLM v4.0.6x.
Rational Reporting for Development Intelligence 5.0.2 is required for use with CLM v5.0x.

Rational Reporting for Development Intelligence 2.0.5 Release Notes

Rational Reporting for Development Intelligence 2.0.5 Release Notes

The Version 2.0.5 M1 release of Rational Reporting for Development Intelligence contains new features and fixes for defects and APARs. For information on deploying and using Rational Reporting for Development Intelligence, see the Installing Rational Reporting for Development Intelligence page.

To get started with a new deployment of RRDI see the Getting Started page.
To upgrade an existing deployment of RRDI see the Upgrading page.

For known issues or important information about other parts of the Rational solution for Collaborative Lifecycle Management (CLM), see these pages:

Known problems and workarounds

The direct upgrade from a prior RRDI version may not work properly

RRDI 2.0.5 includes a newer Cognos version than those of prior RRDI versions. Due to the significant changes, the upgrade work is still in progress,. If you use the Install Manager Update operation to upgrade from a prior RRDI version, the operation will complete, but some of the directory entries may not be updated properly. Please use a fresh new installation for any exploration on the 2.0.5 version at this point.

Some prerequisite library changes on Linux

The prerequisite requirement on the openmotif library has changed. If the system which the RRDI is installed does not have the proper libXm version, the Install Manager may report an install failure like
    CogUninstall: /opt/IBM/RRDI1/cognos/uninstall/uninst not found
Please look at this tech note for more details.

For a list of the known problems and workarounds, published as jazz.net workaround articles, in this release, view the Rational Reporting for Development Intelligence 2.0.5 workaround articles jazz.net query.

Unzipping the RRDI Installation repositories on Linux and Windows

You may experience problem to unzip the RRDI Installation repositories zip files on some releases of Windows and Linux platforms. This is due to a known defect on these platforms that prevent their "unzip" utility to unzip files bigger than 2 GBytes.

The workaround to this defect is to use a different tool to unzip the RRDI distribution.

If you experience unzip issues on any version of linux, you can use a tool like 7zip which can be downloaded from RPM resource p7zip

On many versions of Windows, unzipping using the default Extract All feature may even fail silently to properly unzip the files which will result in failures when installing/upgrading RRDI. 7zip can also be use to overcome this limitation. You can get 7zip for Windows from its download page.